petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscSubcommSetNumber

Set total number of subcommunicators.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscSubcommSetNumber(PetscSubcomm psubcomm,PetscInt nsubcomm)

Collective on MPI_Comm

### Input Parameter

| psubcomm | - PetscSubcomm context
| nsubcomm | - the total number of subcommunicators in psubcomm

### Keywords

communicator

### See Also

PetscSubcommCreate(),PetscSubcommDestroy(),PetscSubcommSetType(),PetscSubcommSetTypeGeneral()

### Level

advanced

### Location

src/sys/objects/subcomm.c

### Examples

src/sys/examples/tutorials/ex15.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages